// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//  Giuseppe Vacanti (cosine science & computing bv)
//  March 18, 2003
// 
//   $Id: HkNamer.h,v 1.1 2003/05/06 08:53:03 gvacanti Exp $


#ifndef HKNAMER_H
#define HKNAMER_H

#include<string>

#include<Xmm.h>
#include<Observation.h>

class HkNamer {
public:
  HkNamer() {}
  std::string operator()(const OdfIngest::Exposure & e, Xmm::DataMode d) const;
};

#endif
